﻿Type=StaticCode
Version=2.71
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	'Field / Parameter Types
	Public ftUNKNWOWN   As String = ""
    Public ftTINYINT 	As String = "tinyint"
	Public ftBOOLEAN 	As String = "boolean"
	Public ftSMALLINT 	As String = "smallint"
	Public ftINT 		As String = "int"
	Public ftFLOAT 		As String = "float"
	Public ftDOUBLE 	As String = "double"
	Public ftTIMESTAMP 	As String = "timestamp"
	Public ftBIT 		As String = "bit"
	Public ftBIGINT		As String = "bigint"
	Public ftMEDIUMINT 	As String = "mediumint"
	Public ftDATE 		As String = "date"
	Public ftTIME 		As String = "time"
	Public ftDATETIME 	As String = "datetime"
	Public ftYEAR 		As String = "year"
	Public ftENUM 		As String = "enum"
	Public ftSET 		As String = "set"
	Public ftTINYBLOB 	As String = "tinyblob"
	Public ftMEDIUMBLOB	As String = "mediumblob"
	Public ftLONGBLOB	As String = "longblob"
	Public ftBLOB		As String = "blob"
	Public ftVARCHAR	As String = "varchar"
	Public ftCHAR		As String = "char"
	Public ftGEOMETRY	As String = "geometry"
	
	'Dataset States
	Public dsInactive   	As Int = 1
	Public dsBrowse			As Int = 2
	Public dsEdit			As Int = 3
	Public dsInsert			As Int = 4
	Public dsPosting 		As Int = 5
	Public dsDeleting 		As Int = 6
	'Public dsSetKey			As Int = 5
	'Public dsCalcFields		As Int = 6
	'Public dsFilter			As Int = 7
	'Public dsNewValue		As Int = 8
	'Public dsOldValue		As Int = 9
	'Public dsCurValue		As Int = 10
	'Public dsBlockRead		As Int = 11
	'Public dsInternalCalc	As Int = 12
	Public dsOpening		As Int = 13
	
	'Filter Options
	Public foCaseInsensitive As Int = 1
	Public foNoPartialCompare As Int = 2
	
	'Exception Messages
	Public SNotEditing 			= "Dataset not in edit or insert mode" As String
	Public SAlreadyInsertOrEdit	= "Dataset already in insert or edit mode" As String
	Public SDataSetClosed       = "Cannot perform this operation on a closed dataset" As String
	Public SDataSetNotBrowse	= "Dataset not in browse mode" As String
	Public SDataSetNoSQLScript  = "Missing appropriate SQL script from dataset" As String
	Public SIncorrectResultSet  = "Resultset is incorrect" As String
	Public SInvalidRecordPointer= "Invalid record pointer" As String
	Public SResultsetNotsingle  = "Result consisted of more than one row" As String
	Public SFieldNotFound       = "Field %s not found" As String
	Public SLocateUnequalKeyFieldsOrKeyValues = "Keyfields should mach Keyvalues" As String
	Public SDecodeError         = "Decode resultset error" As String	
	Public SExecuteError        = "Error executing SQL Script" As String		
	Public SRefreshError        = "Error executing SQLRefresh Script" As String		
	Public SInsertError         = "Error executing SQLInsert Script" As String		
	Public SUpdateError         = "Error executing SQLUpdate Script" As String		
	Public SDeleteError         = "Error executing SQLDelete Script" As String		
End Sub