﻿Type=Class
Version=2.71
@EndOfDesignText@
'ClsDBMySQLconnection v1.4
'Basic4Android v2.70 Class
'Developed by QUALISYS SOFTWARE

'Class module
Sub Class_Globals
	Private cName 			As String
	Private cParamType		As String
	Private cValue 			As Object
End Sub

Public Sub Initialize

End Sub

'Set the parameter name
Public Sub setName(Name As String)
	cName = Name
End Sub

'Get the parameter name
Public Sub getName As String
	Return cName
End Sub

'Set the parameter name
Public Sub setParamType(ParamType As String)
	cParamType = ParamType
End Sub

'Get the parameter name
Public Sub getParamType As String
	Return cParamType
End Sub

'Set the parameter value
Public Sub setValue(Value As Object) As ClsDBParameter
	cValue = Value
	Return Me
End Sub

'Get the parameter value
Public Sub getValue As Object
	Return cValue
End Sub

'Set the paremeter value as String
Public Sub setAsString(Value As String) As ClsDBParameter
	setParamType(CodDB.ftVARCHAR)
	Return setValue(Value)
End Sub

'Get the paremeter value as String
Public Sub getAsString As String
	Dim sValue As String
	sValue = getValue
	Return sValue
End Sub

'Set the field Value as Int
Public Sub setAsInt(Value As Int) As ClsDBParameter
	setParamType(CodDB.ftINT)
	Return setValue(Value)
End Sub

'Get the paremeter value as Int
Public Sub getAsInt As Int
	Dim iValue As Int
	iValue = getValue
	Return iValue
End Sub

'Set the field Value as Long
Public Sub setAsLong(Value As Long) As ClsDBParameter
	setParamType(CodDB.ftINT)
	Return setValue(Value)
End Sub

'Get the paremeter value as Long
Public Sub getAsLong As Long
	Dim iValue As Long
	iValue = getValue
	Return iValue
End Sub

'Set the parameter Value as Double
Public Sub setAsDouble(Value As Double) As ClsDBParameter
	setParamType(CodDB.ftDOUBLE)
	Return setValue(Value)
End Sub

'Get the paremeter value as Double
Public Sub getAsDouble As Double
	Dim iValue As Double
	iValue = getValue
	Return iValue
End Sub

'Set the parameter Value as DateTime
Public Sub setAsDateTime(Value As Long) As ClsDBParameter
	setParamType(CodDB.ftDATETIME)
	Return setValue(Value)
End Sub

'Get the paremeter value as DateTime
Public Sub getAsDateTime As Long
	Dim iValue As Long
	If cValue = Null Then
		Return 0
	Else
		iValue = getValue
		Return iValue
	End If
End Sub

'Set the parameters Value As an Boolean
Public Sub setAsBoolean(Value As Boolean) As ClsDBParameter
	setParamType(CodDB.ftBOOLEAN)
	Return setValue(Value)
End Sub

'Get the paremeter value as Boolean
Public Sub getAsBoolean As Boolean
	Dim bValue As Boolean
	bValue = getValue
	Return bValue
End Sub

'Set the field Value As Byte() Base64 Encoded. Used for BLOBS
Public Sub setAsBytes(Value() As Byte) As ClsDBParameter
	Dim su As StringUtils
	setParamType(CodDB.ftBLOB)
	Return setValue(su.EncodeBase64(Value))
End Sub

'Set the field Value As Bitmap used for BLOBS
Public Sub setAsBitmap(Value As Bitmap, Quality As Long) As ClsDBParameter
    Dim out As OutputStream
    Dim Data() As Byte	
	Dim su As StringUtils
	
    out.InitializeToBytesArray(1)    
    Value.WriteToStream(out, Quality, "JPEG")    
    Data = out.ToBytesArray    
    out.Close
	Return setValue(su.EncodeBase64(Data))
End Sub

'Get the string field Value, base64 encoded. Return "" if not string
Public Sub getStringValueAsBase64 As String
	If cValue = Null OR Not(cValue Is String) Then
'	If cValue = Null  Then
		Return ""
	Else		
		Dim sValue As String
		Dim su As StringUtils
		sValue = cValue
		Return su.EncodeBase64(sValue.GetBytes("UTF8"))
	End If
End Sub
