﻿Type=Class
Version=2.71
@EndOfDesignText@
'ClsDBMySQLconnection v1.4
'Basic4Android v2.70 Class
'Developed by QUALISYS SOFTWARE

'Class module
Sub Class_Globals
	Private SQL As StringBuilder	
	Private cDBMySQLDataset As Object
End Sub

'Initializes the object.
'DBMySQLDataset =  Object of type ClsDBMySQLDataset / ClsDBMySQLScript
Public Sub Initialize(DBMySQLDataset As Object)
	SQL.Initialize
	cDBMySQLDataset = DBMySQLDataset
End Sub

Private Sub ParseParameters
	If cDBMySQLDataset <> Null Then 
		If cDBMySQLDataset Is ClsDBMySQLDataset Then
			Dim tmpDBMySQLDataset As ClsDBMySQLDataset = cDBMySQLDataset
			tmpDBMySQLDataset.ParseParameters
		Else If cDBMySQLDataset Is ClsDBMySQLScript Then
			Dim tmpDBMySQLScript As ClsDBMySQLScript = cDBMySQLDataset
			tmpDBMySQLScript.ParseParameters
		End If
	End If
End Sub

'Clears the Text
Public Sub Clear As ClsDBSQLScript
	SQL.Initialize
	ParseParameters
	Return Me
End Sub

'Inserts the specified Text at the offset
Public Sub Insert(Offset As Int, Text As String) As ClsDBSQLScript
	SQL.Insert(Offset, Text)
	ParseParameters
	Return Me
End Sub

'Appends the specified Text at the end
Public Sub Append(Text As String) As ClsDBSQLScript
	If SQL.ToString <> "" Then SQL.Append(CRLF)
	SQL.Append(Text)
	ParseParameters
	Return Me
End Sub

'Removes the specified characters
Public Sub Remove(StartOffset As Int, EndOffset As Int) As ClsDBSQLScript
	SQL.Remove(StartOffset, EndOffset)
	ParseParameters
	Return Me
End Sub

'Converts the object to a string
Public Sub ToString As String
	Return SQL.ToString
End Sub


'Returns the number of characters
Public Sub Length As Int
	Return SQL.Length
End Sub